$(document).ready(function() {
	var widths = [96, 130, 165, 200, 235, 270, 304, 340, 375, 410, 445, 485, 520, 555, 590, 625, 660, 695, 736];
	var isResizing = false;
	var imageReplaceNodelist = null;

	$('div.delayed-image-load').each(function(index, div) {
		div = (typeof div !== "number") ? div : index;

		$(div).replaceWith('<img src="data:image/gif;base64,R0lGODlhEAAJAIAAAP///wAAACH5BAEAAAAALAAAAAAQAAkAAAIKhI+py+0Po5yUFQA7" datasrc="' + div.getAttribute('data-src') + '" class="image-replace" alt="" />');
	});
	
	var imageReplaceNodelist = $('.image-replace');
	
	
	function imageEnhance() {
		if (!isResizing) {
			isResizing = true;
			
			if (imageReplaceNodelist !== null) {
				for(var z = 0, len = imageReplaceNodelist.length; z < len; z++) {

					if (imageReplaceNodelist[z].getAttribute('class').match('no-replace')) {
						continue;
					}

					var newImgSrc = calcImgSrc(
						(imageReplaceNodelist[z].getAttribute('datasrc') || imageReplaceNodelist[z].src),
						$('body').width() // taille du contenu pour connaitre la width max de l'image à livrer
					);
					if (!!newImgSrc) {
						imageReplaceNodelist[z].src = newImgSrc;
					}
				}
			}
			isResizing = false;
		}
	}
	imageEnhance();
	
	function calcImgSrc(imgSrc, width) {
		if (imgSrc === null) { alert(imgSrc); return false; }
		var regex = imgSrc.match(/\/images\/(ws\/)?(\d*)/) || imgSrc;
		if (regex === null || typeof regex === 'string') { return false; }
		var widthMatchStart = imgSrc.indexOf(regex[2]),
			widthMatchEnd = regex[2].length;
		return imgSrc.substr(0, widthMatchStart) + matchBestWidth(width) + imgSrc.substr(widthMatchStart+widthMatchEnd);
	}
	
	function matchBestWidth(width) {
		var prevWidth = widths[0];
		for(var z = 0, len = widths.length; z < len; z++) {
			if (width < widths[z]) {
				return prevWidth;
			}
			prevWidth = widths[z];
		}
		return prevWidth;
	}
	
	$(window).on('resize', function() { imageEnhance(); });
});